# Zip64RequiredException (Apache Commons Compress 1.13 API)

org.apache.commons.compress.archivers.zip

## Class Zip64RequiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.util.zip.ZipException
        - - org.apache.commons.compress.archivers.zip.Zip64RequiredException

- All Implemented Interfaces:
    Serializable

      public class Zip64RequiredException
      extends ZipException

  Exception thrown when attempting to write data that requires Zip64 support to an archive and `UseZip64` has been set to `Never`.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Zip64RequiredException(String reason)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Zip64RequiredException

          public Zip64RequiredException(String reason)

Copyright © 2016 The Apache Software Foundation. All rights reserved.